Bug 489418 - Review Request: nssbackup - (Not so) Simple Backup Suite for desktop use
Review Request: nssbackup - (Not so) Simple Backup Suite for desktop use
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 18:21 EDT by Simon
Modified: 2010-11-25 06:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.2-0.2.rc7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
redhat: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-03-09 18:21:13 EDT
SPEC:
http://cassmodiah.fedorapeople.org/nssbackup-0-2~rc6/nssbackup.spec



SRPM:
http://cassmodiah.fedorapeople.org/nssbackup-0-2~rc6/nssbackup-0.2-0.1.rc6.fc10.src.rpm



Description:
NSsbackup, shortform of Not So Simple Backup suite, 
is a backup solution for common desktop use.

It is a fork of the sbackup project, the Simple Backup suite. 
NSsbackup is basically using the same technology that Unix 
administrators have been used for decades but it adds some some 
intelligence for interaction with users within a graphical interface. 
This means dumps of files were created using the good old TAR 
but the usage is much more convenient than from a command line.




RPMLint-Issues:
nssbackup.noarch: W: no-dependency-on usermode
^^
usermode-gtk requires usermode

nssbackup.noarch: W: conffile-without-noreplace-flag /etc/security/console.apps/nssbackup-config-gui-su
nssbackup.noarch: W: conffile-without-noreplace-flag /etc/security/console.apps/nssbackup-restore-gui-su
^^
should be okay..




Splitting:
Upstream split the package for Ubuntu in 

COMMON
---
/usr/lib/python2.5/site-packages/nssbackup/managers/*.py
/usr/lib/python2.5/site-packages/nssbackup/util/*.py
/usr/lib/python2.5/site-packages/nssbackup/ui/__init__.py
/usr/lib/python2.5/site-packages/nssbackup/plugins/localFuseFAM.py
/usr/lib/python2.5/site-packages/nssbackup/plugins/__init__.py
/usr/sbin/nssbackupconfig
/usr/bin/nssbackupd
/usr/bin/nssbackup-upgrade-backups
/usr/lib/python2.5/site-packages/nssbackup/ressources
/usr/lib/python2.5/site-packages/nssbackup/*.py
/usr/share/nssbackup/multipleTarScript
/usr/share/nssbackup/nssbackup
/usr/share/locale
---

GTK
---
/usr/lib/python2.5/site-packages/nssbackup/ui/Glade*.py
/usr/lib/python2.5/site-packages/nssbackup/ui/*GTK.py
/usr/share/nssbackup/*.glade
/usr/share/applications/*.desktop
/usr/share/pixmaps
/usr/bin/nssbackup-restore-gui
/usr/bin/nssbackup-config-gui
---

FTP
---
/usr/lib/python2.5/site-packages/nssbackup/plugins/ftpFuseFAM.py
/usr/lib/python2.5/site-packages/nssbackup/plugins/sftpFuseFAM.py
---

SSH
---
/usr/lib/python2.5/site-packages/nssbackup/plugins/sshFuseFAM.py
---

i hate this practise and for me, personally, its not a good idea to split it in Fedora!



KOJI:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1233544
spec without cosmetical corrections, but the technic was/is the same
Comment 1 Simon 2009-03-24 16:52:48 EDT
NEW UPSTREAM RELEASE!

SPEC:
http://cassmodiah.fedorapeople.org/nssbackup-0.2~rc7/nssbackup.spec

SRPM:
http://cassmodiah.fedorapeople.org/nssbackup-0.2~rc7/nssbackup-0.2-0.1.rc7.fc10.src.rpm

KOJI:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1257227

RPMLint-Issues: (the same as in rc6)
nssbackup.noarch: W: no-dependency-on usermode
^^
usermode-gtk requires usermode

nssbackup.noarch: W: conffile-without-noreplace-flag
/etc/security/console.apps/nssbackup-config-gui-su
nssbackup.noarch: W: conffile-without-noreplace-flag
/etc/security/console.apps/nssbackup-restore-gui-su
^^
should be okay..
Comment 2 Simon 2009-03-24 17:12:20 EDT
sorry, wrong koji link

http://koji.fedoraproject.org/koji/taskinfo?taskID=1257266

this is the correct one...
Comment 3 Robert Scheck 2009-04-13 19:33:22 EDT
Simon, you're writing, that upstream splitting is common, gtk, ftp and ssh.
But much more important is: How is the dependency chain? So does nssbackup 
actually work without the gtk subpackage? Does it work without ftp and ssh
subpackages? Do the ftp and ssh subpackages bring new huge dependencies? I
would like to hear your answers. And if ftp and ssh do not introduce a huge
dependency and the gtk interface is always needed, I would say one package
fits completely.
Comment 4 Simon 2009-04-14 03:04:02 EDT
missing Rs:
pexpect (for ssh)
curlftpfs (for ftp)

missing conflict:
sbackup


> So does nssbackup actually work without the gtk subpackage? 
yeah, it should be!

Description: NSsbackup Common files package
NSsbackup common files package. This package is not the software itself 
but contains the minimum set of files to make it run.


> Does it work without ftp and ssh subpackages?
yes!

Description: NSsbackup Fuse SSH plugin
NSsbackup SSH plugin. This package will permit to have the ability
to make backups from and over an SSH location. This plugin use FUSE file
systems.

Description: NSsbackup Fuse FTP/SFTP plugin 
NSsbackup FTP and SFTP plugin. This package will permit to have the ability
to make backups from and over FTP/SFTP location. This plugin use FUSE file
systems.


> Do the ftp and ssh subpackages bring new huge dependencies?
ftp: curlftpfs (currently missing)
ssh: sshfs, pexpect (currently missing)


> And if ftp and ssh do not introduce a huge
> dependency and the gtk interface is always needed, 
> I would say one package fits completely.
You are a fan of splitting it? I'm not a fan of it, because ftp and ssh shouldn't be excluded as seperate modules and there is only one frontend. If there are 2 frontends for example i would split it in 3 packages, common with ftp and ssh support and in the guis gtk and qt.
Comment 5 Robert Scheck 2009-04-14 08:41:27 EDT
No, I'm not a fan of it. I even think, it makes sense how you've packaged it.
Ideal place for backups is IMHO still remote and not local (think of e.g. hard 
disk drive issues).

Can you please add the missing requirements to curlftpfs and pexpect (I think,
fuse-sshfs == "sshfs" which is already mentioned)? As far as I can see, these
dependency chains are not that huge and a regular desktop user will have most
of the requirements anyway on his machine.

As we figured out in IRC, there's no need for conflicting with sbackup, there
are no overlaps, parallel use is possible.

[  OK  ] MUST: rpmlint must be run on every package
         $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/nssbackup-*
         nssbackup.noarch: W: no-dependency-on usermode
         nssbackup.noarch: W: no-dependency-on usermode
         nssbackup.noarch: W: conffile-without-noreplace-flag /etc/security/
           console.apps/nssbackup-config-gui-su
         nssbackup.noarch: W: conffile-without-noreplace-flag /etc/security/
           console.apps/nssbackup-restore-gui-su
         2 packages and 0 specfiles checked; 0 errors, 4 warnings.
         $
[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines
[  OK  ] MUST: The spec file name must match the base package %{name} [...]
[  ??  ] MUST: The package must meet the Packaging Guidelines
         -> See points above and below.
[  OK  ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[FAILED] MUST: The License field in the package spec file must match the 
         actual license
         -> When looking through the code, I just can see GPLv2+ and GPLv3+,
            what makes you thinking, that it is GPLv3-only?
[  OK  ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK  ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
         -> c7fac4bda21350022eda110c56739763  nssbackup_0.2-0~rc7.orig.tar.gz
         -> c7fac4bda21350022eda110c56739763  nssbackup_0.2-0~rc7.orig.tar.gz.1
         -> a6a0a1dc46da44bc3149529ab8d473c0eb0c4de8  nssbackup_0.2-
              0~rc7.orig.tar.gz
         -> a6a0a1dc46da44bc3149529ab8d473c0eb0c4de8  nssbackup_0.2-
              0~rc7.orig.tar.gz.1
[  OK  ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[  N/A ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[  OK  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  OK  ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[  N/A ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun. [10]
[  N/A ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker. [11]
[  OK  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[  OK  ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[  OK  ] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  N/A ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  N/A ] MUST: Header files must be in a -devel package.
[  N/A ] MUST: Static libraries must be in a -static package.
[  N/A ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[  N/A ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  N/A ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[  N/A ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  OK  ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[  OK  ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  OK  ] MUST: All filenames in rpm packages must be valid UTF-8.

nssbackup package seems very closed from the result to sbackup (bug #468462).
Comment 6 Tom "spot" Callaway 2009-04-14 11:53:05 EDT
License tag on this should be GPLv3+.
Comment 8 Robert Scheck 2009-04-15 20:10:38 EDT
Tom, thank you for confirming my licensing assumption.

All points from comment #5 have been solved with the package mentioned in 
comment #7, thus the nssbackup package is: APPROVED.
Comment 9 Simon 2009-04-16 04:46:21 EDT
thanks for your review Robert


New Package CVS Request
=======================
Package Name: nssbackup
Short Description: (Not so) Simple Backup Suite for desktop use
Owners: cassmodiah
Branches: F-11 F-10 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2009-04-17 12:36:30 EDT
cvs done.
Comment 11 Fedora Update System 2009-04-17 16:35:10 EDT
nssbackup-0.2-0.2.rc7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nssbackup-0.2-0.2.rc7.fc11
Comment 12 Fedora Update System 2009-04-17 16:39:14 EDT
nssbackup-0.2-0.2.rc7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nssbackup-0.2-0.2.rc7.fc10
Comment 13 Fedora Update System 2009-04-21 20:55:50 EDT
nssbackup-0.2-0.2.rc7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-09 00:24:28 EDT
nssbackup-0.2-0.2.rc7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Mario Ceresa 2010-11-25 06:10:56 EST
nssbackup project has been discontinued and its code merged back into sbackup. I'll retire the package

Note You need to log in before you can comment on or make changes to this bug.